// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CMainFrame : public CFrameWnd
{
public:
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:
	C3dWnd		m_wnd3d;
	C3dScene* m_pScene;
	C3dShape* m_pShape;


// Operations
public:
	BOOL NewScene();
	BOOL OpenFile(const char* pszFile);
	void Rotate(BOOL bRotate);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void RecalcLayout(BOOL bNotify = TRUE);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	BOOL m_bRotate;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnActivateApp(BOOL bActive, HTASK hTask);
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg void OnMove(int x, int y);
	afx_msg void OnFileNew();
	afx_msg void OnFileOpen();
	afx_msg void OnEditInsertShape();
	afx_msg void OnViewRotate();
	afx_msg void OnUpdateViewRotate(CCmdUI* pCmdUI);
	afx_msg void OnViewReset();
	afx_msg void OnUpdateViewNormals(CCmdUI* pCmdUI);
	afx_msg void OnViewNormals();
	afx_msg void OnEditInsface();
	afx_msg void OnEditBulgeface();
	afx_msg void OnEditDishface();
	afx_msg void OnEditDefcube();
	afx_msg void OnEditFlatfacecube();
	afx_msg void OnEditInsland();
	afx_msg void OnEditInsland2();
	afx_msg void OnEditSolidr();
	afx_msg void OnEditCone();
	afx_msg void OnEditTree();
	afx_msg void OnEditForest();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
